"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var prefixCls = 'r-titlebar';
var Titlebar = /*#__PURE__*/(0, _react.memo)(function (_ref) {
  var theme = _ref.theme,
      l = _ref.l,
      title = _ref.title,
      r = _ref.r,
      children = _ref.children,
      showBackto = _ref.showBackto,
      backArrowStyle = _ref.backArrowStyle,
      onBack = _ref.onBack,
      className = _ref.className;
  var wrapCls = [prefixCls, "".concat(prefixCls, "-theme-").concat(theme), className].filter(Boolean).join(' ');
  console.log('Titlebar mounted or updated');
  return /*#__PURE__*/_react.default.createElement("div", {
    className: wrapCls
  }, showBackto && /*#__PURE__*/_react.default.createElement("div", {
    className: "l-operate",
    onClick: function onClick(e) {
      return onBack && onBack(e);
    }
  }, l ? l : /*#__PURE__*/_react.default.createElement("div", {
    className: "back"
  }, /*#__PURE__*/_react.default.createElement("svg", {
    width: "10px",
    height: "21px",
    style: backArrowStyle,
    viewBox: "0 0 10 21",
    version: "1.1"
  }, /*#__PURE__*/_react.default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd",
    strokeLinecap: "round"
  }, /*#__PURE__*/_react.default.createElement("g", {
    transform: "translate(-16.000000, -33.000000)",
    stroke: "currentColor"
  }, /*#__PURE__*/_react.default.createElement("polyline", {
    id: "Path-2",
    points: "25.758131 34 16 43.3837058 26 53"
  })))))), /*#__PURE__*/_react.default.createElement("div", {
    className: "c-operate"
  }, title || children), r && /*#__PURE__*/_react.default.createElement("div", {
    className: "r-operate"
  }, r));
});
Titlebar.defaultProps = {
  theme: 'a',
  showBackto: true
};
Titlebar.propTypes = {
  theme: _propTypes.default.string,
  showBackto: _propTypes.default.bool,
  backArrowStyle: _propTypes.default.object
};
Titlebar.displayName = 'Titlebar';
var _default = Titlebar;
exports.default = _default;